org.apache.geode.admin

## Interface StatisticResource

- Deprecated.
  as of 7.0 use the `management` package instead

      public interface StatisticResource

  Adminitrative interface for monitoring a statistic resource in a GemFire system member. A resource is comprised of one or many `Statistics`.
  Since:
    GemFire 3.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` Deprecated. Gets the full description of this resource.
    `java.lang.String` | `getName()` Deprecated. Gets the identifying name of this resource.
    `java.lang.String` | `getOwner()` Deprecated. Returns a display string of the `SystemMember` owning this resource.
    `Statistic[]` | `getStatistics()` Deprecated. Returns a read-only array of every `Statistic` in this resource.
    `java.lang.String` | `getType()` Deprecated. Gets the classification type of this resource.
    `long` | `getUniqueId()` Deprecated. Returns an ID that uniquely identifies the resource within the `SystemMember` it belongs to.
    `void` | `refresh()` Deprecated. Refreshes the values of every `Statistic` in this resource by retrieving them from the member's VM.

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Deprecated.
      Gets the identifying name of this resource.
      Returns:
        the identifying name of this resource

    - #### getDescription

          java.lang.String getDescription()

      Deprecated.
      Gets the full description of this resource.
      Returns:
        the full description of this resource

    - #### getType

          java.lang.String getType()

      Deprecated.
      Gets the classification type of this resource.
      Returns:
        the classification type of this resource
      Since:
        GemFire 5.0

    - #### getOwner

          java.lang.String getOwner()

      Deprecated.
      Returns a display string of the `SystemMember` owning this resource.
      Returns:
        a display string of the owning `SystemMember`

    - #### getUniqueId

          long getUniqueId()

      Deprecated.
      Returns an ID that uniquely identifies the resource within the `SystemMember` it belongs to.
      Returns:
        unique id within the owning `SystemMember`

    - #### getStatistics

          Statistic[] getStatistics()

      Deprecated.
      Returns a read-only array of every `Statistic` in this resource.
      Returns:
        read-only array of every `Statistic` in this resource

    - #### refresh

          void refresh()
                throws AdminException

      Deprecated.
      Refreshes the values of every `Statistic` in this resource by retrieving them from the member's VM.
      Throws:
        `AdminException` - if unable to refresh statistic values